Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.digi.config.ui
Class NetworkStatisticsView

    java.lang.Object
      com.digi.config.ui.ConfigViewImpl
          com.digi.config.ui.NetworkStatisticsView

All Implemented Interfaces:
  ConfigView

public class NetworkStatisticsView
extends ConfigViewImpl

This class is a view panel that shows network statistics. This view can be embedded in other panels as desired.

Field Summary
`(package private) com.digi.config.ui.GridContentPanel` | `content`
`(package private) com.digi.config.ui.GridContentPanel` | `icmpContent`
`(package private) java.lang.String[]` | `icmpFields`
`(package private) javax.swing.JLabel[]` | `icmpLabels`
`(package private) com.digi.config.ui.GridContentPanel` | `ipContent`
`(package private) java.lang.String[]` | `ipFields`
`(package private) javax.swing.JLabel[]` | `ipLabels`
`(package private) static int` | `NUM_FIELD_COLUMNS`
`(package private) com.digi.config.core.DeviceChangeListener` | `stateChangeListener` listens to the device for changes to state fields
`(package private) com.digi.config.ui.GridContentPanel` | `tcpContent`
`(package private) java.lang.String[]` | `tcpFields`
`(package private) javax.swing.JLabel[]` | `tcpLabels`
`(package private) com.digi.config.ui.GridContentPanel` | `udpContent`
`(package private) java.lang.String[]` | `udpFields`
`(package private) javax.swing.JLabel[]` | `udpLabels`
`(package private) com.digi.config.core.KvpNode` | `viewStateTree` A KvpNode that holds just the state fields used in this view

Fields inherited from class com.digi.config.ui.ConfigViewImpl
`active, cancelChangesAction, device, editView, heading, includeSettingsFields, includeStateFields, refreshAction, saveChangesAction, viewHelpAction, viewIndex`

Constructor Summary
`NetworkStatisticsView()` Basic constructor.

Method Summary
`void` | `activate()` This method is called to instruct the view that it is about to be made active.
`void` | `cancelChanges()` Instructs the view to discard any changes the user has made within the view and revert those fields to the original state.
`void` | `commitChanges()` Instructs the view to consider any user changes within the view as saved to the device (ie committed).
`void` | `deactivate()` This method is called to instruct the view that it is about to be made inactive.
`void` | `getChanges(com.digi.config.core.KvpNode settingCluster, com.digi.config.core.KvpNode stateCluster)` This method instructs the view to place any changes the user has made within the view into the provided clusters.
`java.lang.String` | `getName()` Returns a one word name identifying this view.
`java.awt.Component` | `getViewContent()` Return the Component that displays the primary content for this view
`boolean` | `isChanged()` Indicates if any changes have been made by the user that have not yet been saved to the device(ie committed).
`void` | `setDevice(com.digi.config.core.Device device)` Informs view what device to work with.

Methods inherited from class com.digi.config.ui.ConfigViewImpl
`createEmailDocument, createGeneralDocument, createIntegerDocument, createNetworkAddressDocument, doCancelChangesAction, doRefreshAction, doSaveChangesAction, doViewHelpAction, getHelpResource, getViewButtons, getViewHeading, initializeActions, setIncludeSettingsFields, setIncludeStateFields, setViewIndex, validateChanges`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewStateTree

    com.digi.config.core.KvpNode viewStateTree

  A KvpNode that holds just the state fields used in this view

### stateChangeListener

    com.digi.config.core.DeviceChangeListener stateChangeListener

  listens to the device for changes to state fields

### content

    com.digi.config.ui.GridContentPanel content

### ipContent

    com.digi.config.ui.GridContentPanel ipContent

### tcpContent

    com.digi.config.ui.GridContentPanel tcpContent

### udpContent

    com.digi.config.ui.GridContentPanel udpContent

### icmpContent

    com.digi.config.ui.GridContentPanel icmpContent

### ipFields

    java.lang.String[] ipFields

### tcpFields

    java.lang.String[] tcpFields

### udpFields

    java.lang.String[] udpFields

### icmpFields

    java.lang.String[] icmpFields

### NUM_FIELD_COLUMNS

    static final int NUM_FIELD_COLUMNS

See Also:
  Constant Field Values

### ipLabels

    javax.swing.JLabel[] ipLabels

### tcpLabels

    javax.swing.JLabel[] tcpLabels

### udpLabels

    javax.swing.JLabel[] udpLabels

### icmpLabels

    javax.swing.JLabel[] icmpLabels

Constructor Detail

### NetworkStatisticsView

    public NetworkStatisticsView()
                          throws java.lang.Exception

  Basic constructor. Sets up the tree view and the edit panel.

Method Detail

### getName

    public java.lang.String getName()

  Returns a one word name identifying this view.

### getViewContent

    public java.awt.Component getViewContent()

  Return the Component that displays the primary content for this view

### setDevice

    public void setDevice(com.digi.config.core.Device device)

  Informs view what device to work with. View should flush any cached device data and mark current view content as invalid so that it is refreshed appropriatly.

  Specified by:
    `setDevice` in interface `ConfigView`
  Overrides:
    `setDevice` in class `ConfigViewImpl`

### activate

    public void activate()

  This method is called to instruct the view that it is about to be made active. When a view is active it needs to make sure its content is correct. An example of why a panel may be inactive is if it were on a tabbed pane and was not currently visible or if the user selected some other view.

  Specified by:
    `activate` in interface `ConfigView`
  Overrides:
    `activate` in class `ConfigViewImpl`

### deactivate

    public void deactivate()

  This method is called to instruct the view that it is about to be made inactive. When a view is inactive, it does not need to worry about maintaining its content in a correct state. An example of why a panel may be inactive is if it were on a tabbed pane and was not currently visible or if the user selected some other view.

  Specified by:
    `deactivate` in interface `ConfigView`
  Overrides:
    `deactivate` in class `ConfigViewImpl`

### isChanged

    public boolean isChanged()

  Indicates if any changes have been made by the user that have not yet been saved to the device(ie committed).

### getChanges

    public void getChanges(com.digi.config.core.KvpNode settingCluster,
                           com.digi.config.core.KvpNode stateCluster)

  This method instructs the view to place any changes the user has made within the view into the provided clusters. Once the changes have been saved to to the device, a subsequent call to commitChanges() will be made.

### commitChanges

    public void commitChanges()

  Instructs the view to consider any user changes within the view as saved to the device (ie committed).

### cancelChanges

    public void cancelChanges()

  Instructs the view to discard any changes the user has made within the view and revert those fields to the original state. The view is also free to refresh all its fields to the present cached state of the device at this time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2002 Digi International. All Rights Reserved.